org.apache.cxf.annotations

## Enum SchemaValidation.SchemaValidationType

- java.lang.Object
- - java.lang.Enum<SchemaValidation.SchemaValidationType>
  - - org.apache.cxf.annotations.SchemaValidation.SchemaValidationType

- All Implemented Interfaces:
    Serializable, Comparable<SchemaValidation.SchemaValidationType>
  Enclosing class:
    SchemaValidation

      public static enum SchemaValidation.SchemaValidationType
      extends Enum<SchemaValidation.SchemaValidationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH`
    `IN`
    `NONE`
    `OUT`
    `REQUEST`
    `RESPONSE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SchemaValidation.SchemaValidationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SchemaValidation.SchemaValidationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IN

          public static final SchemaValidation.SchemaValidationType IN

    - #### REQUEST

          public static final SchemaValidation.SchemaValidationType REQUEST

    - #### OUT

          public static final SchemaValidation.SchemaValidationType OUT

    - #### RESPONSE

          public static final SchemaValidation.SchemaValidationType RESPONSE

    - #### BOTH

          public static final SchemaValidation.SchemaValidationType BOTH

    - #### NONE

          public static final SchemaValidation.SchemaValidationType NONE

  - ### Method Detail

    - #### values

          public static SchemaValidation.SchemaValidationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SchemaValidation.SchemaValidationType c : SchemaValidation.SchemaValidationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SchemaValidation.SchemaValidationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Apache CXF